#ifndef STACK_H_
#define STACK_H_

#include "stack.h"

class Stack {
 private:
  int n; //the number of elements in the stack
  int nmax; //the length(capacity) of the array
  int *elts; //the elements
public:
  Stack ();	//constructor
  ~Stack (); //destructor
  int size (); //return the number of elements in the stack
  int capacity (); //the length(capacity) of the array
  bool isEmpty(); //return a boolean indicating if the stack is empty
  void push (int v); //insert element v at the top of the stack
  
  //remove from the stack and return the top element on the stack;
  //return -1 if the stack is empty
  int pop (); 
  
  //return the top element on the stack, without removing it;
  //return -1 if the stack is empty
  int top(); 
  
  //return the element at the given location (the bottom element is at location 0);
  //return -1 if there is no element at the given location
  int getElement(int loc); 
};

#endif
